import controlP5.ControlEvent;
import controlP5.ControlP5;
import controlP5.Textlabel;
import processing.core.PApplet;

public class About extends BoilerPlate {
	PApplet parent;

	// control params
	ControlP5 controlP5;

	Textlabel myTextlabelA;
	Textlabel myTextlabelB;
	Textlabel myTextlabelC;

	About(PApplet p) {
		parent = p;
	}

	public void createControls() {

		controlP5 = new ControlP5(parent);
		controlP5.setAutoDraw(false);

		int offsetX = 10;
		int offsetY = 10;

		int buttonWidth = 100;
		int buttonHeight = 10;
		int buttonMargin = 5;

		int sliderWidth = 290;
		int sliderHeight = 12;
		int sliderHeightSpread = 20;

		float inc = 130;
		float offsetScaleX = 0;

		myTextlabelA = controlP5.addTextlabel("label", "NUDIBRANCH", offsetX, offsetY);
		myTextlabelA.setColorValue(0xFFFFFFFF);
		offsetY += (buttonHeight+buttonMargin);

		myTextlabelB = controlP5.addTextlabel("label1", "Instructions: <c> to toggles controls, <spacebar> to randomize values, <esc> to quit,", offsetX, offsetY);
		myTextlabelB.setColorValue(0xFFFFFFFF);
		offsetY += (buttonHeight+buttonMargin);
		
		myTextlabelC = controlP5.addTextlabel("label2", "Audio by Daft Punk ('Recognizer' from Tron Legacy [SoundTrack]).", offsetX, offsetY);
		myTextlabelC.setColorValue(0xFF666666);
		offsetY += (buttonHeight+buttonMargin);

	}

	public void draw() {
		controlP5.draw();
	}

}
