import ddf.minim.AudioPlayer;
import ddf.minim.Minim;
import ddf.minim.analysis.FFT;
import processing.core.PApplet;

public class Audio extends BoilerPlate {
	PApplet parent;

	private Minim minim;
	private AudioPlayer track;
	private FFT fftLin;
	private FFT fftLog;
	private float height3;
	private float height23;
	private float spectrumScale = 2;

	public float speeder = 0;

	Audio(PApplet p) {
		parent = p;
		// capture audio data
		minim = new Minim(parent);
	}

	public void updateAudioParams() {
		fftLog.forward(track.mix);
	}

	public double getAvg(int avg) {
		return (double) fftLog.getAvg(avg);
	}

	public void setTrack(String mp3) {
		track = minim.loadFile(mp3, 2048);

		fftLog = new FFT(track.bufferSize(), track.sampleRate());
		// fftLog.logAverages(22, 3); 
		// fftLog.avgSize() = 30;

		// fftLog.logAverages(60, 5);
		// fftLog.avgSize() = 45;

		fftLog.logAverages(60, 7);
		// fftLog.avgSize() = 63;
		// println(fftLog.avgSize());		
	}

	public void play() {
		track.loop();

	}
	


}
